Distribution:   CCux
Packager:	Karsten Brockmann <arcam@ccux-linux.de>

Name:		rasqal
Version:	0.9.20
Release:	1
License:	GNU/GPL 
URL:		http://librdf.org/rasqal/
Group:		System/Libraries
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Summary:	%{name} handles Resource Description Framework (RDF) query syntaxes
BuildRequires:	curl-devel 
BuildRequires:  libxml2-devel
BuildRequires:  openssl-devel
BuildRequires:  zlib-devel
BuildRequires:  libidn-devel
BuildRequires:  libxslt-devel
BuildRequires:	openldap-devel
BuildRequires:	cyrus-sasl-devel
BuildRequires:	libssh2-devel

BuildRequires: pcre-devel
BuildRequires: flex
BuildRequires: mpfr-devel
BuildRequires: gmp-devel

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: mpfr-devel
BuildRequires: pkg-config
BuildRequires: raptor
BuildRequires: raptor-devel
#uildRequires: raptor2-devel <- not yet

%description
Rasqal is a free software / Open Source C library that handles Resource Description Framework (RDF) query syntaxes, query construction and query execution returning result bindings. The supported query languages are SPARQL and RDQL.
Rasqal was designed to work closely with the Redland RDF library but is entirely separate.
For more details see: %{url}

%package devel
Summary: 	%{name} development headers.
Group: 		%{group}            
Requires: 	%{name} = %{version}-%{release}

%description devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}

%build
./configure --prefix=%_prefix --enable-release --disable-dependency-tracking --mandir=%_mandir
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find %{buildroot} -type f \
-exec /usr/bin/strip --strip-debug '{}' ';' 

%files
%defattr(-,root,root)
%{_bindir}/roqet
%{_libdir}/librasqal.so.*
%{_mandir}/man1/roqet.1.gz

%files devel
%defattr(-,root,root)
%{_bindir}/rasqal-config
%{_includedir}/rasqal/rasqal.h
%{_libdir}/librasqal.a
%{_libdir}/librasqal.la
%{_libdir}/librasqal.so
%{_pkgconfig}/rasqal.pc
%{_datadir}/gtk-doc/html/rasqal
%{_mandir}/man1/rasqal-config.1.gz
%{_mandir}/man3/librasqal.3.gz

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Oct 15 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.9.20-1
- Version update
* Thu Mar 04 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.9.19-1
- Version update
* Sun Feb 14 2010 Karsten Brockmann <arcam@ccux-linux.de> 0.9.18-1
- Version update
* Wed Jul 22 2009 Karsten Brockmann <arcam@ccux-linux.de> 0.9.16-2
- rebuilt against raptor 1.4.19-1 
* Thu Jul 31 2008 Karsten Brockmann <arcam@ccux-linux.de> 0.9.16-1
- version update
* Mon May 26 2008 Christian Metzen <metzench@ccux-linux.de> 0.9.15-1
- Version update
* Tue May 15 2007 Simon Schmeisser <wrt@ccux-linux.de> 0.9.14-1
- Version update
* Tue May 02 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.9.12-1
- Initial Release
